Name:           polarssl
Version:        0.14.0
Release:        1%{?dist}
Summary:        Light-weight cryptographic and SSL/TLS library

Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://polarssl.org/
Source0:        http://polarssl.org/code/releases/%{name}-%{version}-gpl.tgz
Patch0:         doc-encoding.patch
Patch1:         cmake-with-install.patch
Patch2:         cmake-shared.patch
Patch3:         cmake-doxygen.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  cmake doxygen

%description
PolarSSL is a light-weight open source cryptographic and SSL/TLS
library written in C. PolarSSL makes it easy for developers to include
cryptographic and SSL/TLS capabilities in their (embedded)
applications with as little hassle as possible.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1


%build
%cmake -D USE_SHARED_POLARSSL_LIBRARY:BOOL=1 .
make VERBOSE=1 %{?_smp_mflags}
make VERBOSE=1 apidoc
rm include/apidoc/installdox


%check
#ctest --output-on-failure


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libexecdir}
mv $RPM_BUILD_ROOT%{_bindir} $RPM_BUILD_ROOT%{_libexecdir}/polarssl


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc LICENSE ChangeLog
%{_libexecdir}/*
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc include/apidoc/*
%{_includedir}/*
%{_libdir}/*.so


%changelog
* Wed Sep 15 2010 Mads Kiilerich <mads@kiilerich.com> - 0.14.0-1
- Initial Fedora package
